BUILD-RDEPS.FR(1)

NOM
build-rdeps - Trouver les paquets qui dépendent d'un paquet donné pour leur construction

SYNOPSIS
build-rdeps paquet

DESCRIPTION
build-rdeps recherche tous les paquets qui dépendent du paquet indiqué pour leur construction ("reverse build depends" : dépendances de construction inverses)

Le comportement par défaut est de ne rechercher que la dépendance donnée dans le champ Build-Depends des fichiers Sources d'apt.

Si le paquet dose-extra = 4.0> est installé, un calcul plus complet des dépendances de construction inverses est réalisé. En particulier, lorsque ce paquet est installé, build-rdeps trouvera les dépendances inverses transitives, respectera les restrictions d'architectures et de profils de construction, prendra en compte les relations Provides, Conflicts, Pre-Depends, Build-Depends-Arch et les dépendances versionnées, et résoudra correctement les relations multiarchitectures pour la résolution de dépendances de construction croisée inverses. (Cela a tendance à être un processus lent du fait de la complexité de l'interdépendance des paquets.)

OPTIONS

-u, --update
    Exécuter "apt-get update" avant de chercher les dépendances de construction.

-s, --sudo
    Utiliser sudo pour l'exécution de "apt-get update". Ça n'a aucun effet si -u n'est pas utilisée.

--distribution
    Sélectionner une autre distribution, dans laquelle seront recherchées les dépendances de construction.

--only-main
    Ignorer contrib et non-free

--exclude-component
    Ignorer les composantes indiquées (par exemple, main, contrib, non-free).

--origin
    Restreindre la recherche à l'origine indiquée seulement (par exemple "Debian").

-m, --print-maintainer
    Afficher le responsable (le champ Maintainer) pour tous les paquets.

--host-arch
    Définir explicitement l'architecture de l'hôte. Par défaut, c'est la valeur de "dpkg-architecture -qDEB_HOST_ARCH". Cette option ne fonctionne que si dose-extra = 4.0> est installé.

--build-arch
    Définir explicitement l'architecture de construction. Par défaut, c'est la valeur de "dpkg-architecture -qDEB_BUILD_ARCH". Cette option ne fonctionne que si dose-extra = 4.0> est installé.

--no-arch-all, --no-arch-any
    Ignore Build-Depends-Indep et Build-Depends-Arch lors de la recherche des dépendances inverses.

--old
    Forcer l'ancien comportement simple, sans prise en charge de dose-ceve même si dose-extra = 4.0> est installé. (Cela tend à être plus rapide.)

    Attention, l'ancien comportement ne trouve que les dépendances directes, ignore les dépendances virtuelles, ne trouve pas les dépendances transitives et ne prend pas en compte les relations de versions, les restrictions d'architectures, les profils de construction ou les relations multiarchitectures.

--quiet
    Ne pas afficher les méta-informations (en-tête, compteur), pour une utilisation plus facile dans les scripts.

-d, --debug
    Exécuter le mode de débogage

--help
    Afficher les informations sur l'utilisation.

--version
    Afficher les informations sur la version.

CONDITIONS D'EXÉCUTION
L'outil a besoin des fichiers Sources d'APT présents pour les composantes vérifiées. Par défaut, cela signifie que les fichiers de /var/lib/apt/lists doivent être présents pour main, contrib et non-free.

En pratique, cela signifie que la ligne deb-src doit être ajoutée pour chaque composante, par exemple

deb-src http://<miroir>/debian <dist> main contrib non-free

et d'exécuter ensuite "apt-get update" ou d'utiliser l'option --update de cet outil.

LICENCE
Ce code est copyright Patrick Schoenfeld <schoenfeld@debian.org>, tous droits réservés. Ce programme est fourni SANS AUCUNE GARANTIE. Vous êtes libre de redistribuer ce code sous les termes de la licence publique générale GNU (GNU General Public Licence), version 2 ou ultérieure.

AUTEUR
Patrick Schoenfeld <schoenfeld@debian.org>

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021